Skip to main content
1

Get your credentials

Your client ID and client secret are provided by Tesouro during onboarding. To request access, have your designated team lead submit an access request.
2

Get an access token

Exchange your credentials for a short-lived JWT:
curl --location 'https://api.sandbox.tesouro.com/openid/connect/token' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'grant_type=client_credentials' \
  --data-urlencode 'client_id=YOUR_CLIENT_ID' \
  --data-urlencode 'client_secret=YOUR_CLIENT_SECRET'
3

Make your first API call

Use the token to call the FinOps API. For example, list your counterparts:
curl --request GET \
  --url https://api.sandbox.tesouro.com/v1/counterparts \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'x-organization-id: YOUR_ORGANIZATION_ID' \
  --header 'X-Finops-Version: YOUR_API_VERSION'

Next steps